Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Flow_Spec Class Reference

Wrapper class that defines the flow spec QoS information, which is used by IntServ (RSVP) and DiffServ. More...

`#include <OS_QoS.h>`

List of all members.

## Public Methods
| ACE_Flow_Spec (void)
| Default constructor. More...
| ACE_Flow_Spec (u_long token_rate, u_long token_bucket_size, u_long peak_bandwidth, u_long latency, u_long delay_variation, ACE_SERVICE_TYPE service_type, u_long max_sdu_size, u_long minimum_policed_size, int ttl, int priority)
| Constructor that initializes all the fields. More...
u_long | token_rate (void) const
| Get the token rate in bytes/sec. More...
void | token_rate (u_long tr)
| Set the token rate in bytes/sec. More...
u_long | token_bucket_size (void) const
| Get the token bucket size in bytes. More...
void | token_bucket_size (u_long tbs)
| Set the token bucket size in bytes. More...
u_long | peak_bandwidth (void) const
| Get the PeakBandwidth in bytes/sec. More...
void | peak_bandwidth (u_long pb)
| Set the PeakBandwidth in bytes/sec. More...
u_long | latency (void) const
| Get the latency in microseconds. More...
void | latency (u_long l)
| Set the latency in microseconds. More...
u_long | delay_variation (void) const
| Get the delay variation in microseconds. More...
void | delay_variation (u_long dv)
| Set the delay variation in microseconds. More...
ACE_SERVICE_TYPE | service_type (void) const
| Get the service type. More...
void | service_type (ACE_SERVICE_TYPE st)
| Set the service type. More...
u_long | max_sdu_size (void) const
| Get the maximum SDU size in bytes. More...
void | max_sdu_size (u_long mss)
| Set the maximum SDU size in bytes. More...
u_long | minimum_policed_size (void) const
| Get the minimum policed size in bytes. More...
void | minimum_policed_size (u_long mps)
| Set the minimum policed size in bytes. More...
int | ttl (void) const
| Get the time-to-live. More...
void | ttl (int t)
| Set the time-to-live. More...
int | priority (void) const
| Get the priority. More...
void | priority (int p)
| Set the priority. More...
## Private Attributes
u_long | token_rate_
u_long | token_bucket_size_
u_long | peak_bandwidth_
u_long | latency_
u_long | delay_variation_
ACE_SERVICE_TYPE | service_type_
u_long | max_sdu_size_
u_long | minimum_policed_size_
int | ttl_
int | priority_

## Detailed Description

Wrapper class that defines the flow spec QoS information, which is used by IntServ (RSVP) and DiffServ.

## Constructor & Destructor Documentation

ACE_Flow_Spec::ACE_Flow_Spec | ( | void |  | ) |

| Default constructor.

ACE_Flow_Spec::ACE_Flow_Spec | ( | u_long | token_rate,
|  | u_long | token_bucket_size,
|  | u_long | peak_bandwidth,
|  | u_long | latency,
|  | u_long | delay_variation,
|  | ACE_SERVICE_TYPE | service_type,
|  | u_long | max_sdu_size,
|  | u_long | minimum_policed_size,
|  | int | ttl,
|  | int | priority
| ) |

| Constructor that initializes all the fields.

## Member Function Documentation

void ACE_Flow_Spec::delay_variation | ( | u_long | dv | ) |

| Set the delay variation in microseconds.

u_long ACE_Flow_Spec::delay_variation | ( | void |  | ) | const

| Get the delay variation in microseconds.

void ACE_Flow_Spec::latency | ( | u_long | l | ) |

| Set the latency in microseconds.

u_long ACE_Flow_Spec::latency | ( | void |  | ) | const

| Get the latency in microseconds.

void ACE_Flow_Spec::max_sdu_size | ( | u_long | mss | ) |

| Set the maximum SDU size in bytes.

u_long ACE_Flow_Spec::max_sdu_size | ( | void |  | ) | const

| Get the maximum SDU size in bytes.

void ACE_Flow_Spec::minimum_policed_size | ( | u_long | mps | ) |

| Set the minimum policed size in bytes.

u_long ACE_Flow_Spec::minimum_policed_size | ( | void |  | ) | const

| Get the minimum policed size in bytes.

void ACE_Flow_Spec::peak_bandwidth | ( | u_long | pb | ) |

| Set the PeakBandwidth in bytes/sec.

u_long ACE_Flow_Spec::peak_bandwidth | ( | void |  | ) | const

| Get the PeakBandwidth in bytes/sec.

void ACE_Flow_Spec::priority | ( | int | p | ) |

| Set the priority.

int ACE_Flow_Spec::priority | ( | void |  | ) | const

| Get the priority.

void ACE_Flow_Spec::service_type | ( | ACE_SERVICE_TYPE | st | ) |

| Set the service type.

ACE_SERVICE_TYPE ACE_Flow_Spec::service_type | ( | void |  | ) | const

| Get the service type.

void ACE_Flow_Spec::token_bucket_size | ( | u_long | tbs | ) |

| Set the token bucket size in bytes.

u_long ACE_Flow_Spec::token_bucket_size | ( | void |  | ) | const

| Get the token bucket size in bytes.

void ACE_Flow_Spec::token_rate | ( | u_long | tr | ) |

| Set the token rate in bytes/sec.

u_long ACE_Flow_Spec::token_rate | ( | void |  | ) | const

| Get the token rate in bytes/sec.

void ACE_Flow_Spec::ttl | ( | int | t | ) |

| Set the time-to-live.

int ACE_Flow_Spec::ttl | ( | void |  | ) | const

| Get the time-to-live.

## Member Data Documentation

u_long ACE_Flow_Spec::delay_variation_`[private]`

u_long ACE_Flow_Spec::latency_`[private]`

u_long ACE_Flow_Spec::max_sdu_size_`[private]`

u_long ACE_Flow_Spec::minimum_policed_size_`[private]`

u_long ACE_Flow_Spec::peak_bandwidth_`[private]`

int ACE_Flow_Spec::priority_`[private]`

ACE_SERVICE_TYPE ACE_Flow_Spec::service_type_`[private]`

u_long ACE_Flow_Spec::token_bucket_size_`[private]`

u_long ACE_Flow_Spec::token_rate_`[private]`

int ACE_Flow_Spec::ttl_`[private]`

The documentation for this class was generated from the following files:

- OS_QoS.h
- OS_QoS.cpp